package com.ruoyi.system.domain.idcard;

import com.ruoyi.system.domain.enterprise.SysUserEnterprise;
import com.ruoyi.system.domain.loan.LoanApplication;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 用户身份证信息对象 sys_user_idcard
 * 
 * @author boman
 * @date 2024-04-22
 */
public class SysUserIdcard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 身份证号码 */
    private String idCard;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    private String realName;

    /** 失效日期 */
    @Excel(name = "失效日期")
    private String expirationDate;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 居住地址 */
    @Excel(name = "居住地址")
    private String address;

    /** 正面地址 */
    @Excel(name = "正面地址")
    private String front;

    /** 反面地址 */
    @Excel(name = "反面地址")
    private String back;
    /**
     * 企业数量
     */
    private Integer sysUserEnterpriseNum;
    /**
     * 企业集合
     */
    private List<SysUserEnterprise> sysUserEnterpriseList;
    /**
     * 贷款申请数量
     */
    private Integer loanApplicationNum;
    /**
     * 贷款申请集合
     */
    private List<LoanApplication> loanApplicationList;

    public Integer getSysUserEnterpriseNum() {
        return sysUserEnterpriseNum;
    }

    public void setSysUserEnterpriseNum(Integer sysUserEnterpriseNum) {
        this.sysUserEnterpriseNum = sysUserEnterpriseNum;
    }

    public List<SysUserEnterprise> getSysUserEnterpriseList() {
        return sysUserEnterpriseList;
    }

    public void setSysUserEnterpriseList(List<SysUserEnterprise> sysUserEnterpriseList) {
        this.sysUserEnterpriseList = sysUserEnterpriseList;
    }

    public Integer getLoanApplicationNum() {
        return loanApplicationNum;
    }

    public void setLoanApplicationNum(Integer loanApplicationNum) {
        this.loanApplicationNum = loanApplicationNum;
    }

    public List<LoanApplication> getLoanApplicationList() {
        return loanApplicationList;
    }

    public void setLoanApplicationList(List<LoanApplication> loanApplicationList) {
        this.loanApplicationList = loanApplicationList;
    }

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setRealName(String realName) 
    {
        this.realName = realName;
    }

    public String getRealName() 
    {
        return realName;
    }
    public void setExpirationDate(String expirationDate) 
    {
        this.expirationDate = expirationDate;
    }

    public String getExpirationDate() 
    {
        return expirationDate;
    }
    public void setPhonenumber(String phonenumber) 
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() 
    {
        return phonenumber;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setFront(String front) 
    {
        this.front = front;
    }

    public String getFront() 
    {
        return front;
    }
    public void setBack(String back) 
    {
        this.back = back;
    }

    public String getBack() 
    {
        return back;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("idCard", getIdCard())
            .append("realName", getRealName())
            .append("expirationDate", getExpirationDate())
            .append("phonenumber", getPhonenumber())
            .append("address", getAddress())
            .append("front", getFront())
            .append("back", getBack())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
